# Uses of Interface
com.sun.net.httpserver.Request

Packages that use Request
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.

## Uses of Request in com.sun.net.httpserver

Classes in com.sun.net.httpserver that implement Request
Modifier and Type
Class
Description
`class`
`HttpExchange`
This class encapsulates a HTTP request received and a response to be generated in one exchange.
`class`
`HttpsExchange`
This class encapsulates a HTTPS request received and a response to be generated in one exchange and defines the extensions to `HttpExchange` that are specific to the HTTPS protocol.
Methods in com.sun.net.httpserver that return Request
Modifier and Type
Method
Description
`default Request`
Request.`with(String headerName, List<String> headerValues)`
Returns an identical `Request` with an additional header.
Method parameters in com.sun.net.httpserver with type arguments of type Request
Modifier and Type
Method
Description
`static Filter`
Filter.`adaptRequest(String description, UnaryOperator<Request> requestOperator)`
Returns a pre-processing Filter that inspects and possibly adapts the request state.
`static HttpHandler`
HttpHandlers.`handleOrElse(Predicate<Request> handlerTest, HttpHandler handler, HttpHandler fallbackHandler)`
Complements a conditional `HttpHandler` with another handler.